Bug 1471809 - RFE: backport SELinux/InfiniBand userspace support
RFE: backport SELinux/InfiniBand userspace support
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vit Mojzis
Dalibor Pospíšil
Mirek Jahoda
: FutureFeature
Depends On: 1466274
Blocks: 1449326
  Show dependency treegraph
 
Reported: 2017-07-17 09:26 EDT by Milos Malik
Modified: 2018-01-11 11:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
*SELinux* support for *InfiniBand* has been improved This update introduces runtime management of *InfiniBand*-related *SELinux* port labels and labeling of *InfiniBand* Pkeys. The administrator can now update the *InfiniBand* access controls without editing or adding policy modules. To manage *Infiniband*-related labels, use the following commands: * "semanage ibendport" * "semanage ibpkey"
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Milos Malik 2017-10-12 07:27:30 EDT
policycoreutils-2.5-18.1.el7_4.x86_64
selinux-policy-3.13.1-166.el7.noarch

# semanage ibendport -E
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 1049, in <module>
    do_parser()
  File "/usr/sbin/semanage", line 1028, in do_parser
    args.func(args)
  File "/usr/sbin/semanage", line 591, in handleIbendport
    OBJECT = object_dict['ibendport']()
  File "/usr/sbin/semanage", line 163, in ibendport_ini
    OBJECT = seobject.ibendportRecords(store)
AttributeError: 'module' object has no attribute 'ibendportRecords'

# semanage ibpkey -E
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 1049, in <module>
    do_parser()
  File "/usr/sbin/semanage", line 1028, in do_parser
    args.func(args)
  File "/usr/sbin/semanage", line 547, in handlePkey
    OBJECT = object_dict['ibpkey']()
  File "/usr/sbin/semanage", line 159, in ibpkey_ini
    OBJECT = seobject.ibpkeyRecords(store)
AttributeError: 'module' object has no attribute 'ibpkeyRecords'

Note You need to log in before you can comment on or make changes to this bug.